ColorRAMBank Class Reference

`#include <ColorRAMBank.h>`

Inheritance diagram for ColorRAMBank:

## Public Member Functions

void | reset ()
void | poke (uint_least16_t address, uint8_t value)
uint8_t | peek (uint_least16_t address)

## Detailed Description

Color RAM.

1K x 4-bit Static RAM that stores text screen color information

Located at $D800-$DBFF (last 24 bytes are unused)

## Member Function Documentation

uint8_t ColorRAMBank::peek | ( | uint_least16_t | address | ) |

inline virtual

Bank read. You probably should override this method, except if the Bank is only used in write context.

Parameters

  address | value to read from

Returns
  value at address

Implements Bank.

void ColorRAMBank::poke | ( | uint_least16_t | address,
|  | uint8_t | value
| ) |  |

inline virtual

Bank write.

Override this method if you expect write operations on your bank. Leave unimplemented if it's logically/operationally impossible for writes to ever arrive to bank.

Parameters

  address | address to write to
  value | value to write

Implements Bank.

The documentation for this class was generated from the following file:

- ColorRAMBank.h